"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CostandUsageReportServiceClient_1 = require("../../CostandUsageReportServiceClient");
var DescribeReportDefinitionsCommand_1 = require("../../commands/DescribeReportDefinitionsCommand");
describe("@aws-sdk/client-cost-and-usage-report-service-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-east-1";
    it("DescribeReportDefinitions should succeed when given correct input", function (done) {
        var client = new CostandUsageReportServiceClient_1.CostandUsageReportServiceClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeReportDefinitions = new DescribeReportDefinitionsCommand_1.DescribeReportDefinitionsCommand({});
        client
            .send(describeReportDefinitions)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map